import { AfterContentInit, ChangeDetectorRef, ElementRef, NgZone, OnDestroy } from '@angular/core';
import { AbstractVariable } from '@iotize/tap/data';
import { PieChartComponent } from '@swimlane/ngx-charts';
import { ChartInputSingle, ChartInputStreamVar } from '../ChartDataModel';
import { OnChartSelectEvent } from '../shared-types';
import * as i0 from "@angular/core";
export declare class TapVariablePieChartGridComponent extends PieChartComponent implements AfterContentInit, OnDestroy {
    private cdr;
    results: ChartInputSingle[];
    innerWidth: number;
    innerHeight?: number;
    private chartModel;
    private subscription?;
    colorScheme: {
        domain: string[];
    };
    showExportButton: boolean;
    exportedFileName?: string;
    set label(indexOrArray: string | string[] | undefined | Function);
    set variable(variableOrArray: AbstractVariable<number | number[]> | undefined);
    set input(inputs: ChartInputStreamVar[]);
    onResize(event: any): void;
    constructor(myChartElement: ElementRef<any>, zone: NgZone, cd: ChangeDetectorRef, platformId: string, cdr: ChangeDetectorRef);
    ngAfterContentInit(): void;
    onSelect(event: OnChartSelectEvent): void;
    resizeComponent(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapVariablePieChartGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapVariablePieChartGridComponent, "tap-variable-pie-chart-grid", never, { "colorScheme": "colorScheme"; "showExportButton": "showExportButton"; "exportedFileName": "exportedFileName"; "label": "label"; "variable": "variable"; "input": "input"; }, {}, never, never, false, never>;
}
